package main

import (
	"testing"
)

func TestFindAndCount1(t *testing.T) {
	hotels := make([]*Hotel, 0)
	cnt, err := engine.
		//Table(new(Hotel)).
		Alias("t").
		//Where("t.region like '6501%'").
		Limit(10, 0).
		FindAndCount(&hotels)
	if err != nil {
		t.Error("engine.Alias().FindAndCount() 执行失败", err)
	} else {
		t.Logf("engine.Alias().FindAndCount() 执行结果，Slice Size %d, Count %d \n", len(hotels), cnt)
	}
}

func TestFindAndCount2(t *testing.T) {
	hotels := make([]*Hotel, 0)
	cnt, err := engine.
		Table(new(Hotel)).
		Alias("t").
		//Where("t.region like '6501%'").
		Limit(10, 0).
		FindAndCount(&hotels)
	if err != nil {
		t.Error("engine.Table().Alias().FindAndCount() 执行失败", err)
	} else {
		t.Logf("engine.Table().Alias().FindAndCount() 执行结果，Slice Size %d, Count %d \n", len(hotels), cnt)
	}
}

func TestFindAndCount3(t *testing.T) {
	hotels := make([]*Hotel, 0)
	cnt, err := engine.
		Table(new(Hotel)).
		Alias("t").
		Where("t.region like '6501%'").
		Limit(10, 0).
		FindAndCount(&hotels)
	if err != nil {
		t.Error("engine.Table().Alias().Where().FindAndCount() 执行失败", err)
	} else {
		t.Logf("engine.Table().Alias().Where().FindAndCount() 执行结果，Slice Size %d, Count %d \n", len(hotels), cnt)
	}
}
