package main

import "log"

// initRecords 初始化数据
func initRecords() {
	sess := engine.NewSession()
	if err := sess.Begin(); err != nil {
		log.Fatal("transaction start fail", err)
	}

	// 初始化Region数据
	_, err := engine.Exec(`
				INSERT INTO region (code, name, short_code)
				VALUES
					('650100000000', '6501', '乌鲁木齐市'),
					('650200000000', '6502', '克拉玛依市'),
					('650102000000', '天山区', '650102'),
					('650103000000', '沙依巴克区', '650103'),
					('650104000000', '新市区', '650104'),
					('650105000000', '水磨沟区', '650105'),
					('650106000000', '头屯河区', '650106'),
					('650107000000', '达坂城区', '650107'),
					('650109000000', '米东区', '650109'),
					('650121000000', '乌鲁木齐县', '650121')`)
	if err != nil {
		sess.Rollback()
		log.Fatal("region records init fail ", err)
	}

	// 初始化Hotel数据
	_, err = engine.Exec(`
				INSERT INTO hotel (id, name, code, region, create_by) 
				VALUES 
					(1, '海大酒店', 'H001', '650105000000', 1001),
					(2, '雪莲酒店', 'H002', '650103000000', 1002),
					(3, '富丽华酒店', 'H003', '650106000000', 1002)`)

	if err != nil {
		sess.Rollback()
		log.Fatal("hotel records init fail ", err)
	}

	// 初始化User数据
	_, err = engine.Exec(`
				INSERT INTO user (id, name) 
				VALUES 
					(1000, '张三'),
					(1001, '李四'),
					(1002, '王二')`)

	if err != nil {
		sess.Rollback()
		log.Fatal("user records init fail ", err)
	}
	if err := sess.Commit(); err != nil {
		log.Fatal("transaction commit fail ", err)
	}
}