package main

import (
	_ "github.com/mattn/go-sqlite3"
	"log"
	"xorm.io/core"
	"xorm.io/xorm"
)

// Region
type Region struct {
	Code      string `xorm:"pk 'code'"`
	Name      string `xorm:"'name'"`
	ShortCode string `xorm:"'short_code'"`
}

// Hotel
type Hotel struct {
	Id       int64  `xorm:"bigint(11) pk autoincr"`
	Name     string `xorm:"'name'"`
	Code     string `xorm:"'code'"`
	Region   string `xorm:"'region'"`
	CreateBy *User  `xorm:"'create_by'"`
}

// User
type User struct {
	Id   int64  `xorm:"bigint(11) pk autoincr"`
	Name string `xorm:"'name'"`
}

var engine *xorm.Engine

func init() {
	var err error
	engine, err = xorm.NewEngine("sqlite3", "./case.db")

	if err != nil {
		log.Fatal("db error", err)
	}

	err = engine.Sync2(new(Region), new(Hotel), new(User))
	if err != nil {
		log.Fatal("sync2 error", err)
	}

	engine.ShowSQL(true)
	engine.Logger().SetLevel(core.LOG_DEBUG)
}
